Subject: Re: bug#74912: Shepherd: Growing number of user shepherds when relogging

From: Tomas Volf <[email-masked]>
Date: Sat, 28 Dec 2024 00:20:55 +0100

I am not sure how this relates to this specific bug report, but

[email-masked] writes:

> I wonder how many guix-daemon-process-relationship type problems would be simplified
> if (radical vision) one let wayland's inner event-driven loop/protocol
> be the dispatcher

not everyone uses wayland.

> for guix processes instead of the current guix daemon switching between its collection of threads.
> I.e., all the guix threads would be individual login or spawned user processes securely communicating
> virtualizably (shared memory or networked rendezvous buffers etc) for offloading?

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.